I installed Chronoforms 6 for WordPress and it requires PHP 5.6 or higher. I am running PHP 5.5 and 7.3 is available.

This video got me started:

 

I downloaded PHP here: https://windows.php.net/download/

I moved the PHP.ini, wampserver.conf, and phpForApache.ini files from my PHP 5.5 folder to my new PHP 7 folder.

I made a few changes to the PHP.ini and phpForApache.ini from John Dugan’s instructions.

In my PHP.ini the only line I changed was line 1943.

zend_extension = “c:/wamp/bin/php/php5.5.12/zend_ext/php_xdebug-2.2.5-5.5-vc11-x86_64.dll”
In my phpForApache.ini the only line I changed was line 718.
extension_dir = “c:/wamp/bin/php/php7.0.30/ext/”

WAMP wouldn’t start after I changed the version to PHP 7.

In the wampserver.conf file I needed to change the following two lines:

$phpConf[‘apache’][‘2.4’][‘LoadModuleName’] = ‘php7_module’;
$phpConf[‘apache’][‘2.4’][‘LoadModuleFile’] = ‘php7apache2_4.dll’;

I restarted WAMP and it was up and running.

The first issue I ran into was CURL needed to be enabled, but the fonts on the site I was working on switched from a Sanserif font to a serif font. Not sure why.

I hope this helps someone else out there…